com.amazonaws.services.codedeploy.model

## Class RegisterOnPremisesInstanceRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codedeploy.model.RegisterOnPremisesInstanceRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class RegisterOnPremisesInstanceRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Represents the input of the register on-premises instance operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`RegisterOnPremisesInstanceRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RegisterOnPremisesInstanceRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getIamUserArn()` The ARN of the IAM user to associate with the on-premises instance.
`String` `getInstanceName()` The name of the on-premises instance to register.
`int` `hashCode()`
`void` `setIamUserArn(String iamUserArn)` The ARN of the IAM user to associate with the on-premises instance.
`void` `setInstanceName(String instanceName)` The name of the on-premises instance to register.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`RegisterOnPremisesInstanceRequest` `withIamUserArn(String iamUserArn)` The ARN of the IAM user to associate with the on-premises instance.
`RegisterOnPremisesInstanceRequest` `withInstanceName(String instanceName)` The name of the on-premises instance to register.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RegisterOnPremisesInstanceRequest

    public RegisterOnPremisesInstanceRequest()

### Method Detail

#### setInstanceName

    public void setInstanceName(String instanceName)

The name of the on-premises instance to register.

Parameters:
  `instanceName` - The name of the on-premises instance to register.

#### getInstanceName

    public String getInstanceName()

The name of the on-premises instance to register.

Returns:
  The name of the on-premises instance to register.

#### withInstanceName

    public RegisterOnPremisesInstanceRequest withInstanceName(String instanceName)

The name of the on-premises instance to register.

Parameters:
  `instanceName` - The name of the on-premises instance to register.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setIamUserArn

    public void setIamUserArn(String iamUserArn)

The ARN of the IAM user to associate with the on-premises instance.

Parameters:
  `iamUserArn` - The ARN of the IAM user to associate with the on-premises instance.

#### getIamUserArn

    public String getIamUserArn()

The ARN of the IAM user to associate with the on-premises instance.

Returns:
  The ARN of the IAM user to associate with the on-premises instance.

#### withIamUserArn

    public RegisterOnPremisesInstanceRequest withIamUserArn(String iamUserArn)

The ARN of the IAM user to associate with the on-premises instance.

Parameters:
  `iamUserArn` - The ARN of the IAM user to associate with the on-premises instance.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public RegisterOnPremisesInstanceRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`